## Function template begins_with

boost::log::expressions::begins_with

## Synopsis

    // In header: <boost/log/expressions/predicates/begins_with.hpp>

    template<typename T, typename SubstringT>
      unspecified begins_with(attribute_name const & name,
                              SubstringT const & substring);

## Description

The function generates a terminal node in a template expression. The node will check if the attribute value, which is assumed to be a string, begins with the specified substring.